Subject: bug#5154: 23.1.50; mml-attach-file: say how to attach several files

From: Juri Linkov <[email-masked]>
Date: Wed, 06 Jan 2010 22:29:29 +0200

> RS> ,----[ (info "(gnus)Other modes") ]
> RS> | `C-c C-m C-a'
> RS> |      Send dired's marked files as an attachment (`gnus-dired-attach').
> RS> |      You will be prompted for a message buffer.
> j> That requires a change to one's .emacs file.
>
> Why, to load gnus-dired?  I haven't experienced your scenario.

Not only to load gnus-dired, but also to call `turn-on-gnus-dired-mode'
on a Dired buffer to enable `C-c C-m C-a'.  This is too inconvenient.

> j> I wish one could just do 0 w in dired to snarf the full filenames, and
> j> then some command in the message-buffer to tell them to message-mode.
>
> Something like message-dired?  It certainly seems, reading gnus-dired,
> that most of it is not Gnus-specific.

If you want to create a new command `message-dired', then please also
implement a better UI, e.g. `C-c C-m C-a' in the Message buffer could
pop-up a Dired buffer where after marking files you could type `C-c C-c'
to close it and add marked files as attachments to the current Message
buffer.

-- 
Juri Linkov
http://www.jurta.org/emacs/